## List non-trade activities

**get** `/v1/accounts/{account_id}/non-trade-activities`

Results are paginated.

### Path Parameters

- `account_id: number`

### Query Parameters

- `page_size: optional number`

  The number of items to return per page. Only used when page_token is not provided.

- `page_token: optional string`

  Token for retrieving the next or previous page of results. Contains encoded pagination state; when provided, page_size is ignored.

### Returns

- `data: NonTradeActivityList`

  - `id: string`

    ID for the activity, in UUID-v7 format.

  - `account_id: string`

    Account ID

  - `activity_subtype: string`

    Subtype within its `activity_type`.

  - `activity_type: ActivityType`

    Categorization for the activity.

    - `"money_movement"`

    - `"interest"`

    - `"fee"`

    - `"dividend"`

    - `"option_event"`

    - `"transfer"`

    - `"corporate_action"`

    - `"tax_withholding"`

    - `"adjustment"`

    - `"other"`

  - `amount: string`

    Cash amount change.

  - `created_at: string`

    The creation time at UTC, when this activity became part of the ledger

  - `currency: string`

    Currency of the cash amount. Always USD for now.

  - `effective_date: string`

    Effective date for the activity

  - `instrument_type: SecurityType`

    The security type.

    - `"COMMON_STOCK"`

    - `"INDEX"`

    - `"OPTION"`

    - `"CASH"`

  - `memo: string`

    Memo

  - `qty: string`

    Quantity change in the instrument.

  - `state: ActivityState`

    State for this activity.

    - `"settled"`

    - `"cancelled"`

  - `cancelled_reference_id: optional string`

    Reference ID for the record that is being cancelled. Present only on records where the activity state is 'cancelled'.
    The contents of this fields points at the reference_id of the original record that is being cancelled by this record.

  - `instrument_id: optional string`

    Instrument identifier. Omitted when the activity has no single resolvable instrument.

  - `reference_id: optional string`

    Reference ID for the activity, in ULID format. Present only on records where activity state is 'settled'.
    When a activity is cancelled, the cancelation record is pointing at this reference_id.

  - `symbol: optional string`

    Symbol of the instrument. Omitted when the activity has no single resolvable instrument.

### Example

```http
curl https://api.clearstreet.com/v1/accounts/$ACCOUNT_ID/non-trade-activities \
    -H "Authorization: Bearer $API_KEY"
```

#### Response

```json
{
  "data": [
    {
      "account_id": "123456789",
      "activity_subtype": "cash_dividend",
      "activity_type": "dividend",
      "amount": "42",
      "created_at": "2026-09-11T20:52:01.412732Z",
      "currency": "USD",
      "effective_date": "2026-09-11",
      "id": "01a0923d-d704-78b2-8e38-5a1cbfb7d989",
      "instrument_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
      "instrument_type": "COMMON_STOCK",
      "memo": "test memo",
      "qty": "0",
      "reference_id": "01a0923d-d704-78b2-8e38-5a58c53f0cfa",
      "state": "settled",
      "symbol": "AAPL"
    }
  ],
  "metadata": {
    "request_id": "1a2b3c4d-5e6f-7890-1234-5a6b7c8d9e0f"
  }
}
```
